Subject: Re: MPC 8349e-mITX and MTD/Flash

From: Timur Tabi <[email-masked]>
Date: Tue, 10 Apr 2007 10:48:43 -0500

Benedict, Michael wrote:

> # CONFIG_MTD_COMPLEX_MAPPINGS is not set
> CONFIG_MTD_PHYSMAP=y
> CONFIG_MTD_PHYSMAP_START=0x8000000
> CONFIG_MTD_PHYSMAP_LEN=0x0
> CONFIG_MTD_PHYSMAP_BANKWIDTH=2
> # CONFIG_MTD_PHYSMAP_OF is not set
> CONFIG_MTD_PLATRAM=y

This what the latest defconfig for the 8349ITX has:

CONFIG_MTD=y
CONFIG_MTD_CHAR=y
CONFIG_MTD_CFI=y
CONFIG_MTD_GEN_PROBE=y
CONFIG_MTD_MAP_BANK_WIDTH_1=y
CONFIG_MTD_MAP_BANK_WIDTH_2=y
CONFIG_MTD_MAP_BANK_WIDTH_4=y
CONFIG_MTD_CFI_I1=y
CONFIG_MTD_CFI_I2=y
CONFIG_MTD_CFI_AMDSTD=y
CONFIG_MTD_CFI_UTIL=y
CONFIG_MTD_PHYSMAP=y
CONFIG_MTD_PHYSMAP_START=0xfe000000
CONFIG_MTD_PHYSMAP_LEN=0x1000000
CONFIG_MTD_PHYSMAP_BANKWIDTH=2

Your settings for CONFIG_MTD_PHYSMAP_START and CONFIG_MTD_PHYSMAP_LEN are wrong.  And 
frankly, I can't understand where you got those values from, unless you created your 
.config from scratch.  The defconfig that's in the kernel is specifically intended for the 
Freescale MPC8349E-mITX.  I should know, because I wrote the code and the defconfig.

Having said that, it seems that the kernel now supports defining the physmap via the OF 
tree.  Is that true?

-- 
Timur Tabi
Linux Kernel Developer @ Freescale